package com.frotscher.example.euro2016.mvc;

import javax.enterprise.inject.Produces;
import javax.enterprise.inject.Specializes;

import org.glassfish.ozark.engine.ViewEngineConfig;
import org.glassfish.ozark.ext.thymeleaf.DefaultTemplateEngineProducer;
import org.thymeleaf.TemplateEngine;
import org.thymeleaf.extras.java8time.dialect.Java8TimeDialect;

@Specializes
public class TemplateEngineProducer extends DefaultTemplateEngineProducer {

	@Produces
	@ViewEngineConfig
	public TemplateEngine createTemplateEngine() {
		TemplateEngine templateEngine = super.getTemplateEngine();
		templateEngine.addDialect(new Java8TimeDialect());
		return templateEngine;
	}
}