package com.frotscher.example.euro2016.model;

import java.time.LocalDateTime;

public class Match {

	private Integer matchNumber;
	private Integer stageNumber;
	private Integer groupNumber;
	private LocalDateTime date;
	private Team homeTeam;
	private Team awayTeam;
	private Result result;
	
	public Match() {}
	
	public Match(Integer matchNumber, Integer stageNumber, Integer groupNumber, LocalDateTime date, Team homeTeam, Team awayTeam) {
		this(matchNumber, stageNumber, groupNumber, date, homeTeam, awayTeam, new Result());
	}
	
	public Match(Integer matchNumber, Integer stageNumber, Integer groupNumber, LocalDateTime date, Team homeTeam, Team awayTeam, Result result) {
		this.matchNumber = matchNumber;
		this.stageNumber = stageNumber;
		this.groupNumber =  groupNumber;
		this.date = date;
		this.homeTeam = homeTeam;
		this.awayTeam = awayTeam;
		this.result = result;
	}


	public Integer getMatchNumber() {
		return matchNumber;
	}

	public void setMatchNumber(Integer matchNumber) {
		this.matchNumber = matchNumber;
	}
	
	public Integer getStageNumber() {
		return stageNumber;
	}

	public void setStageNumber(Integer stageNumber) {
		this.stageNumber = stageNumber;
	}

	public Integer getGroupNumber() {
		return groupNumber;
	}

	public void setGroupNumber(Integer groupNumber) {
		this.groupNumber = groupNumber;
	}

	public LocalDateTime getDate() {
		return date;
	}

	public void setDate(LocalDateTime date) {
		this.date = date;
	}

	public Team getHomeTeam() {
		return homeTeam;
	}
	
	public void setHomeTeam(Team homeTeam) {
		this.homeTeam = homeTeam;
	}
	
	public Team getAwayTeam() {
		return awayTeam;
	}
	
	public void setAwayTeam(Team awayTeam) {
		this.awayTeam = awayTeam;
	}
	
	public Result getResult() {
		return result;
	}
	
	public void setResult(Result result) {
		this.result = result;
	}
}