package com.frotscher.example.euro2016.mvc;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.mvc.annotation.RedirectScoped;

@RedirectScoped
@SuppressWarnings("serial")
public class ErrorDetails implements Serializable {

	private List<String> errorMessages = new ArrayList<>();

	public List<String> getErrorMessages() {
		return errorMessages;
	}

	public void addErrorMsg(String errorMessage) {
		errorMessages.add(errorMessage);
	}

	public String getAllMessagesAsString() {
		StringBuilder sb = new StringBuilder();
		for (String msg : errorMessages) {
			if (sb.length()>0) {
				sb.append(" // ");
			}
			sb.append(msg);
		}
		return sb.toString();
	}
}