package com.frotscher.example.euro2016.mvc.controller;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.ws.rs.FormParam;
import javax.ws.rs.PathParam;

public class ResultForm {

	@PathParam("matchNumber") 
	private Integer matchNumber;

	@FormParam("homeTeamGoals") 
	@Min(value=0, message="Number of goals must not be smaller than 0") 
	@Max(value=10, message="Number of goals must not be greater than 10")
	private Integer homeTeamGoals;

	@FormParam("awayTeamGoals")
	@Min(value=0, message="Number of goals must not be smaller than 0") 
	@Max(value=10, message="Number of goals must not be greater than 10")
	private Integer awayTeamGoals;

	public Integer getMatchNumber() {
		return matchNumber;
	}

	public void setMatchNumber(Integer matchNumber) {
		this.matchNumber = matchNumber;
	}

	public Integer getHomeTeamGoals() {
		return homeTeamGoals;
	}

	public void setHomeTeamGoals(Integer homeTeamGoals) {
		this.homeTeamGoals = homeTeamGoals;
	}

	public Integer getAwayTeamGoals() {
		return awayTeamGoals;
	}

	public void setAwayTeamGoals(Integer awayTeamGoals) {
		this.awayTeamGoals = awayTeamGoals;
	}
}